/* 2-HelloWorld2.cpp : Defines the entry point for the console application.

G E T T I N G   S T A R T E D   W I T H   C + +   S E R I E S
                                   Ron Kessler
                           Created 12/25/2016

This version shows how to save a little typing. Instead of typing std::cout all the time,
we can tell VS we will be using features in the standard C++ library. I did this on line 24.

By adding this 'using statement' I can type cout without the std:: bit.  When you see
the double colons (:: ) this are called a scope resolution operator. Since there are tens
of thousands of pre-built code and features in VS, the :: lets us tell VS exactly where those
features are. This is important because sometimes there are features with the same name
but stored in a different folder on your computer. This just helps to keep things clear.

Microsoft stores all the features we need on your hard drive when Windows and VS are installed.
They are organized in what look like files and folders. But there are actually called namespaces.

*/

#include "stdafx.h"					//remember what this does?
#include <iostream>				//be sure to add this for reading/writing stuff to the console

using namespace std;				//this lets me access the standard C++ library features directly

int main ()
	{
		cout << "HEY, you, I'm alive! Oh, and by the way Hello World!\n";		
		cin.get ();
	}

/*Let's examine this code. It starts inside the main function and notice I type in cout
without the std::cout way I did before (it just saves typing).

The \n you see at the end of the line is called an escape character and replaces 'endl' from 
the first project. This will make the blinking cursor on the screen be one line below my message.
If I wanted to add two blank lines I would type in \n\n. Notice that when you use these characters
they must be inside the double quotes.

Finally, the end of line character (;) is there because that is the end of our instruction.

cin.get() is just another way of waiting for the user to respond to the app. When they press
a key, then the "Press any key" message is displayed.

You will discover a lot of options for doing the same thing in coding so use the ones that
make sense to you and that you feel comfortable with.

*/


